/*

Copyright 2011 Danilo Ruffolo <danilo.ruffolo@gmail.com>

This file is part of nTetris.

nTetris is free software: you can redistribute it and/or
modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

nTetris is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with nTetris.  If not, see
<http://www.gnu.org/licenses/>.

*/

#include "pezzoO.h"

PezzoO::PezzoO()
    : formaAttuale(0)
{
    // formaO
    for(int i = 0; i < 4; i++)
        for(int j = 0; j < 4; j++)
        {
            if(i == 0 || i == 3)
                formaO.setPosizione(i, j, 0);
            if(i == 1 || i == 2)
            {
                if(j == 0 || j == 3)
                    formaO.setPosizione(i, j, 0);
                else
                    formaO.setPosizione(i, j, 5);
            }
        }
}

const Forma& PezzoO::getForma(int forma) const
{
    return formaO;
}

int PezzoO::getNumeroPezzo() const
{
    return 5;
}

int PezzoO::getFormaAttuale() const
{
    return 0;
}

int PezzoO::getMaxForme() const
{
    return 0;
}

void PezzoO::setFormaAttuale(int forma)
{
    return;
}
