/*

Copyright 2011 Danilo Ruffolo <danilo.ruffolo@gmail.com>

This file is part of nTetris.

nTetris is free software: you can redistribute it and/or
modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

nTetris is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with nTetris.  If not, see
<http://www.gnu.org/licenses/>.

*/

#ifndef PEZZOZ_H
#define PEZZOZ_H

#include "pezzo.h"

class PezzoZ : public Pezzo
{
 public:
    PezzoZ();
    const Forma& getForma(int forma) const;
    int getNumeroPezzo() const;
    int getFormaAttuale() const;
    int getMaxForme() const;
    
    void setFormaAttuale(int forma);
    
 private:
    Forma formeZ[2];
    int formaAttuale;
};

#endif
