/*

Copyright 2011 Danilo Ruffolo <danilo.ruffolo@gmail.com>

This file is part of nTetris.

nTetris is free software: you can redistribute it and/or
modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

nTetris is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with nTetris.  If not, see
<http://www.gnu.org/licenses/>.

*/

#ifndef FORMA_H
#define FORMA_H

#include <vector>

using namespace std;

class Forma
{
 public:
    Forma();
    int getPosizione(int riga, int colonna) const;
    void setPosizione(int riga, int colonna, int valore);
    
 private:
    vector<int*> righe;
    int riga0[4];
    int riga1[4];
    int riga2[4];
    int riga3[4];

};

#endif
